import { CIRCOM_P_HALF as e } from "../../constants/protocol.constants.mjs";
//#region libs/shared/common/src/data-structures/crypto-keys/keyUtils.ts
var t = (t) => {
	if (t < 0n || t >= 21888242871839275222246405745257275088548364400416034343698204186575808495617n) throw RangeError();
	return t > e;
}, n = (e) => t(e) ? 1n : 0n;
//#endregion
export { n as getCircomSign, t as isCircomNegative };
